//----------------------------------------------------------------------------
//
// Module : IsaClientDTApplication.java
//
// Description : little demo to use remoteDesktop in an application
//
// Product : remoteDesktop
//
// Author : Andrea Musumeci
//
// Date  : Dicembre, 1998
//
// Copyright : ISA Italian Software Agency SRL
//----------------------------------------------------------------------------

import com.isa.rmi.RemoteDesktop.*;

import java.util.*;
import java.net.*;
import java.io.*;

public class IsaClientDTApplication
  { 
  ClientDTImpl clientDT;
  public String host="127.0.0.1";
  public int port=1099;
 
 public IsaClientDTApplication(String host,int port, String command)
 {
 System.out.println("I'm creating an object clientDT");
  try
  {
   String urlString="http://"+host;
   URL url=new URL(urlString);//inserire l'http del serverRMI
   clientDT = new ClientDTImpl(url,port);
   System.out.println("Object clientDT created.");
   clientDT.connectRemoteDesktop();
   boolean allOK = clientDT.execute(command);
  if (allOK)  System.out.println("Commad executed.");
        else System.out.println("Commad not executed.");
  }
  catch (Exception e)
  {
   System.out.println("Errors found");
  }
  System.exit(0);
 }

  
  public static void main(String args[]) 
 { if (args.length!=3)
   {
    System.out.println("USO: java IsaClientDTApplication host port command");
   }
   else
    {
     int port=(new Integer(args[1]) ).intValue();
     try 
      {  
       System.out.println("ora di start: "+(new Date()).toString());
       IsaClientDTApplication isa=new IsaClientDTApplication(args[0],port,args[2]);
      } 
     catch (Exception e) 
      {
       e.printStackTrace();
      }
    }
 
  }//fine main 

}