//----------------------------------------------------------------------------
//
// Module : IsaServerDT.java

//
// Description : IsaServerDT
//
// Product : RemoteDesktop
//
// Author : Andrea.Musumeci@novara.alpcom.it
//
// Date  : dicembre, 1998
//
// Copyright : ISA Italian Software Agency SRL
//----------------------------------------------------------------------------

import com.isa.rmi.RemoteDesktop.*;

import java.net.URL;
import java.rmi.*;
import java.rmi.server.*;
import java.rmi.registry.LocateRegistry;
import java.rmi.server.UnicastRemoteObject;
import java.net.*;

public class IsaServerDT
{
/*questa classe server solo a lanciare la classe ServerDTImpl */
 /*******/
 /* main */
 /*******/


 public static void main(String args[])
  {
   int port=1099;
  try
   {
    System.setSecurityManager(new RMISecurityManager());
    System.out.println("RemoteDesktop - version 1.0 - created by Andrea.Musumeci@novara.alpcom.it");
    System.out.println("RemoteDesktop.main: creating registry at port "+port);
    LocateRegistry.createRegistry(port);
    ServerDTImpl serverDT=new ServerDTImpl();
    System.out.println("RemoteDesktop.main: creating server");
    System.out.println("RemoteDesktop.main: binding server ");
    Naming.rebind("//:"+port+"/"+"RemoteDesktop", serverDT);
    System.out.println("RemoteDesktop.main: done");
   }
   catch (Exception e)
    {
     System.out.println("ServerDT: an exception occurred:");
     e.printStackTrace();
     System.exit(1);
    }
   }//fine main

}//fine class IsaServerDT