//----------------------------------------------------------------------------
//
// Module : ClientDTImpl.java
//
// Description : ClientDTImpl
//
// Product : RemoteDesktop
//
// Author : Andrea.Musumeci@novara.alpcom.it
//
// Date  : dicembre, 1998
//
// Copyright : ISA Italian Software Agency SRL
//----------------------------------------------------------------------------

package com.isa.rmi.RemoteDesktop;

import java.util.*;
import java.awt.*;
import java.awt.event.*;
import java.rmi.*;
import java.rmi.server.*;
import java.net.*;
import java.io.*;

public class ClientDTImpl extends Object implements java.io.Serializable
  {
  String nameRemoteDesktop = "RemoteDesktop";
  URL UrlBase;
  int port;
  ServerDT serverDT=null;

 public ClientDTImpl(URL base,int port) 
  {
  this.port=port;
  UrlBase=base;
  }

 public void connectRemoteDesktop()
  {
  try {
   String serverName = "";
   serverName = "//" + UrlBase.getHost() + ":" +port+ "/"+nameRemoteDesktop;
   System.out.println("I am looking for "+serverName);
   serverDT = (ServerDT) Naming.lookup(serverName);
   if (serverDT==null) System.out.println("RemoteDesktop not found");
   } 
  catch (Exception e) 
      {
   System.out.println("An exception occurred:");
   e.printStackTrace();
     }
  }
  
 public boolean execute(String command)
 { 
  try{
   return serverDT.execute(command);
    }
  catch (Exception e)
  {
   System.out.println("an exception occurred:");
   e.printStackTrace();
  }
return false;
}

}